it.reply.healty.innovapuglia.mstaccuino.database.repository

## Interface TipiContattoRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<TipoContatto,String>, org.springframework.data.jpa.repository.JpaRepository<TipoContatto,String>, org.springframework.data.repository.PagingAndSortingRepository<TipoContatto,String>, org.springframework.data.repository.query.QueryByExampleExecutor<TipoContatto>, org.springframework.data.repository.Repository<TipoContatto,String>

      @Repository
      public interface TipiContattoRepository
      extends org.springframework.data.jpa.repository.JpaRepository<TipoContatto,String>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TipoContatto` | `findActiveById(String id)` Recupera un TipoContatto attivo tramite il suo ID.
    `List<TipoContatto>` | `findAllActive()` Recupera i TipoContatto attivi.

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getById, getOne, getReferenceById, saveAll, saveAllAndFlush, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findBy, findOne`

- - ### Method Detail

    - #### findAllActive

          @Query(value="FROM TipoContatto t WHERE t.attivo = true")
          List<TipoContatto> findAllActive()

      Recupera i TipoContatto attivi.
      Returns:
        L'elenco dei TipoContatto attivi.

    - #### findActiveById

          @Query(value="FROM TipoContatto t WHERE t.id = :id AND t.attivo = true")
          TipoContatto findActiveById(@Param(value="id")
                                                                                                                String id)

      Recupera un TipoContatto attivo tramite il suo ID.
      Parameters:
        `id` - l'identificativo del TipoContatto attivo
      Returns:
        il TipoContatto attivo, o null se non trovato

Copyright © 2024. All rights reserved.